'''Kobold race for D&D 3.5 Mod'''

import es, dnds, popuplib
from dnds import dnds

def load():
    dnds.addRace('Kobold')

    koboldinfo = popuplib.create('koboldinformation')
    koboldinfo.addline('-{ D&D CS:S - Kobold Info }-')
    koboldinfo.addline(' 10% Less Cash ')
    koboldinfo.addline(' -10% Damage ')
    koboldinfo.addline(' Passive Skills:')
    koboldinfo.addline(' - +10 Health ')
    koboldinfo.addline(' - One extra Low Level Casting ')
    koboldinfo.addline(' - 10% Damage Reduction ')
    koboldinfo.addline('-> 8. Back')
    koboldinfo.addline('0. Exit')
    koboldinfo.submenu(8, 'stracesinfo 1')
    dnds.addRaceInformation('Kobold', 'koboldinformation')

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Kobold'):
        Key = dnds.getPlayer(userid)
        Key['damage reduction'] += .1
        Key['debuff'] -= .1
        Key['spells'][1] += 1
        dnds.Health(userid, 10)
        dnds.Cash(userid, es.getplayerprop(userid,'CCSPlayer.m_iAccount')*.1*(-1))
