'''minotaur race for D&D 3.5 Mod'''

import es, dnds, popuplib, random
from dnds import dnds

def load():
    dnds.addRace('Minotaur', levelAdjustment=2)
    
    minotaurinfo = popuplib.create('minotaurinformation')
    minotaurinfo.addline('-{ D&D CS:S - Minotaur Info }-')
    minotaurinfo.addline(' Level Adjustment - 2')
    minotaurinfo.addline(' 20% Less Cash')
    minotaurinfo.addline(' Passive Skills:')
    minotaurinfo.addline(' - 20% Damage Reduction')
    minotaurinfo.addline(' - +20% Damage')
    minotaurinfo.addline('-> 8. Back')
    minotaurinfo.addline('0. Exit')
    minotaurinfo.submenu(8, 'laracesinfo 1')
    dnds.addRaceInformation('Minotaur', 'minotaurinformation', levelAdjustment=2)

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Minotaur'):
        Key = dnds.getPlayer(userid)
        Key['damage reduction'] += .2
        Key['buff'] += .2
        dnds.Cash(userid, es.getplayerprop(userid,'CCSPlayer.m_iAccount')*.2*(-1))
